##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################
# @maintitle

# @code

#
#  please change all system depend values in the 
#  config.mk.${OSTYPE} file 
#
#
include ../Makefile.conf.$(OSTYPE)
include ../Makefile.conf.general

# @endcode 

INCLUDES = -I. -I../mbase -I../mraw -I../mmc -I../mdata -I../manalysis \
           -I../mfileio  -I../mgeom -I../mimage -I../mhist -I../mmain \
           -I../mgui

# @code 

CINT     = Filter
LIB      = mfilter.a

#------------------------------------------------------------------------------

.SUFFIXES: .c .cc .cxx .h .hxx .o 

SRCFILES = MFTriggerLvl1.cc \
	   MFTriggerLvl2.cc \
	   MF.cc \
           MFilterList.cc \
           MFEventSelector.cc \
           MFEventSelector2.cc \
	   MFDataChain.cc \
	   MFDataMember.cc \
	   MFParticleId.cc \
	   MFAlpha.cc \
           MFRealTimePeriod.cc \
	   MFCT1SelBasic.cc \
	   MFCT1SelStandard.cc \
	   MFCT1SelFinal.cc \
	   MFEnergySlope.cc

SRCS    = $(SRCFILES)
HEADERS = $(SRCFILES:.cc=.h)
OBJS    = $(SRCFILES:.cc=.o) 

############################################################

all: $(LIB)

include ../Makefile.rules

clean:	rmcint rmobjs rmcore rmlib

mrproper:	clean rmbak

# @endcode

